# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/PluginManagerPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PluginManagerPage(object):
    def setupUi(self, PluginManagerPage):
        PluginManagerPage.setObjectName("PluginManagerPage")
        PluginManagerPage.resize(528, 608)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(PluginManagerPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=PluginManagerPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line9_2 = QtWidgets.QFrame(parent=PluginManagerPage)
        self.line9_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_2.setObjectName("line9_2")
        self.verticalLayout_3.addWidget(self.line9_2)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label = QtWidgets.QLabel(parent=PluginManagerPage)
        self.label.setObjectName("label")
        self.horizontalLayout_2.addWidget(self.label)
        self.downloadDirPicker = EricPathPicker(parent=PluginManagerPage)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.downloadDirPicker.sizePolicy().hasHeightForWidth())
        self.downloadDirPicker.setSizePolicy(sizePolicy)
        self.downloadDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.downloadDirPicker.setObjectName("downloadDirPicker")
        self.horizontalLayout_2.addWidget(self.downloadDirPicker)
        self.verticalLayout_3.addLayout(self.horizontalLayout_2)
        self.groupBox = QtWidgets.QGroupBox(parent=PluginManagerPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_4.addWidget(self.label_2)
        self.generationsSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.generationsSpinBox.setMinimum(1)
        self.generationsSpinBox.setMaximum(9)
        self.generationsSpinBox.setObjectName("generationsSpinBox")
        self.horizontalLayout_4.addWidget(self.generationsSpinBox)
        spacerItem = QtWidgets.QSpacerItem(252, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem)
        self.verticalLayout_2.addLayout(self.horizontalLayout_4)
        self.keepHiddenCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.keepHiddenCheckBox.setObjectName("keepHiddenCheckBox")
        self.verticalLayout_2.addWidget(self.keepHiddenCheckBox)
        self.startupCleanupCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.startupCleanupCheckBox.setObjectName("startupCleanupCheckBox")
        self.verticalLayout_2.addWidget(self.startupCleanupCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.unencryptedCheckBox = QtWidgets.QCheckBox(parent=PluginManagerPage)
        self.unencryptedCheckBox.setObjectName("unencryptedCheckBox")
        self.verticalLayout_3.addWidget(self.unencryptedCheckBox)
        self.TextLabel1_2_2_2_3 = QtWidgets.QLabel(parent=PluginManagerPage)
        self.TextLabel1_2_2_2_3.setObjectName("TextLabel1_2_2_2_3")
        self.verticalLayout_3.addWidget(self.TextLabel1_2_2_2_3)
        self.activateExternalPluginsCheckBox = QtWidgets.QCheckBox(parent=PluginManagerPage)
        self.activateExternalPluginsCheckBox.setObjectName("activateExternalPluginsCheckBox")
        self.verticalLayout_3.addWidget(self.activateExternalPluginsCheckBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=PluginManagerPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.groupBox_2)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.noCheckRadioButton = QtWidgets.QRadioButton(parent=self.groupBox_2)
        self.noCheckRadioButton.setObjectName("noCheckRadioButton")
        self.horizontalLayout_3.addWidget(self.noCheckRadioButton)
        self.alwaysCheckRadioButton = QtWidgets.QRadioButton(parent=self.groupBox_2)
        self.alwaysCheckRadioButton.setObjectName("alwaysCheckRadioButton")
        self.horizontalLayout_3.addWidget(self.alwaysCheckRadioButton)
        self.dailyCheckRadioButton = QtWidgets.QRadioButton(parent=self.groupBox_2)
        self.dailyCheckRadioButton.setObjectName("dailyCheckRadioButton")
        self.horizontalLayout_3.addWidget(self.dailyCheckRadioButton)
        self.weeklyCheckRadioButton = QtWidgets.QRadioButton(parent=self.groupBox_2)
        self.weeklyCheckRadioButton.setObjectName("weeklyCheckRadioButton")
        self.horizontalLayout_3.addWidget(self.weeklyCheckRadioButton)
        self.monthlyCheckRadioButton = QtWidgets.QRadioButton(parent=self.groupBox_2)
        self.monthlyCheckRadioButton.setObjectName("monthlyCheckRadioButton")
        self.horizontalLayout_3.addWidget(self.monthlyCheckRadioButton)
        self.verticalLayout_3.addWidget(self.groupBox_2)
        self.downloadedOnlyCheckBox = QtWidgets.QCheckBox(parent=PluginManagerPage)
        self.downloadedOnlyCheckBox.setObjectName("downloadedOnlyCheckBox")
        self.verticalLayout_3.addWidget(self.downloadedOnlyCheckBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_4 = QtWidgets.QLabel(parent=PluginManagerPage)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout.addWidget(self.label_4)
        self.repositoryUrlEdit = QtWidgets.QLineEdit(parent=PluginManagerPage)
        self.repositoryUrlEdit.setReadOnly(True)
        self.repositoryUrlEdit.setObjectName("repositoryUrlEdit")
        self.horizontalLayout.addWidget(self.repositoryUrlEdit)
        self.repositoryUrlEditButton = QtWidgets.QPushButton(parent=PluginManagerPage)
        self.repositoryUrlEditButton.setCheckable(True)
        self.repositoryUrlEditButton.setObjectName("repositoryUrlEditButton")
        self.horizontalLayout.addWidget(self.repositoryUrlEditButton)
        self.verticalLayout_3.addLayout(self.horizontalLayout)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=PluginManagerPage)
        self.groupBox_3.setObjectName("groupBox_3")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_3)
        self.verticalLayout.setObjectName("verticalLayout")
        self.autoInstallCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_3)
        self.autoInstallCheckBox.setObjectName("autoInstallCheckBox")
        self.verticalLayout.addWidget(self.autoInstallCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox_3)
        spacerItem1 = QtWidgets.QSpacerItem(435, 121, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem1)

        self.retranslateUi(PluginManagerPage)
        QtCore.QMetaObject.connectSlotsByName(PluginManagerPage)
        PluginManagerPage.setTabOrder(self.downloadDirPicker, self.generationsSpinBox)
        PluginManagerPage.setTabOrder(self.generationsSpinBox, self.keepHiddenCheckBox)
        PluginManagerPage.setTabOrder(self.keepHiddenCheckBox, self.startupCleanupCheckBox)
        PluginManagerPage.setTabOrder(self.startupCleanupCheckBox, self.unencryptedCheckBox)
        PluginManagerPage.setTabOrder(self.unencryptedCheckBox, self.activateExternalPluginsCheckBox)
        PluginManagerPage.setTabOrder(self.activateExternalPluginsCheckBox, self.noCheckRadioButton)
        PluginManagerPage.setTabOrder(self.noCheckRadioButton, self.alwaysCheckRadioButton)
        PluginManagerPage.setTabOrder(self.alwaysCheckRadioButton, self.dailyCheckRadioButton)
        PluginManagerPage.setTabOrder(self.dailyCheckRadioButton, self.weeklyCheckRadioButton)
        PluginManagerPage.setTabOrder(self.weeklyCheckRadioButton, self.monthlyCheckRadioButton)
        PluginManagerPage.setTabOrder(self.monthlyCheckRadioButton, self.downloadedOnlyCheckBox)
        PluginManagerPage.setTabOrder(self.downloadedOnlyCheckBox, self.repositoryUrlEdit)
        PluginManagerPage.setTabOrder(self.repositoryUrlEdit, self.repositoryUrlEditButton)
        PluginManagerPage.setTabOrder(self.repositoryUrlEditButton, self.autoInstallCheckBox)

    def retranslateUi(self, PluginManagerPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("PluginManagerPage", "<b>Configure plugin manager</b>"))
        self.label.setText(_translate("PluginManagerPage", "Plugins download directory:"))
        self.downloadDirPicker.setToolTip(_translate("PluginManagerPage", "Enter the plugins download directory"))
        self.groupBox.setTitle(_translate("PluginManagerPage", "Download Housekeeping"))
        self.label_2.setText(_translate("PluginManagerPage", "No. of generations to keep:"))
        self.generationsSpinBox.setToolTip(_translate("PluginManagerPage", "Enter the number of generations to keep for each plugin"))
        self.keepHiddenCheckBox.setToolTip(_translate("PluginManagerPage", "Select to keep generations of hidden plugins"))
        self.keepHiddenCheckBox.setText(_translate("PluginManagerPage", "Keep generations of hidden plugins"))
        self.startupCleanupCheckBox.setToolTip(_translate("PluginManagerPage", "Select to cleanup the plugins download area during startuo"))
        self.startupCleanupCheckBox.setText(_translate("PluginManagerPage", "Cleanup during startup"))
        self.unencryptedCheckBox.setToolTip(_translate("PluginManagerPage", "<p>Select to force the use of <b>http://</b> instead of <b>https://</b>.</p>"))
        self.unencryptedCheckBox.setText(_translate("PluginManagerPage", "Enforce unencrypted downloads"))
        self.TextLabel1_2_2_2_3.setText(_translate("PluginManagerPage", "<font color=\"#FF0000\"><b>Note:</b> The following settings are activated at the next startup of the application.</font>"))
        self.activateExternalPluginsCheckBox.setToolTip(_translate("PluginManagerPage", "Select to enable external plugins to be loaded"))
        self.activateExternalPluginsCheckBox.setText(_translate("PluginManagerPage", "Load external plugins"))
        self.groupBox_2.setTitle(_translate("PluginManagerPage", "Check for plugin updates"))
        self.noCheckRadioButton.setToolTip(_translate("PluginManagerPage", "Select to disable update checking"))
        self.noCheckRadioButton.setText(_translate("PluginManagerPage", "Never"))
        self.alwaysCheckRadioButton.setToolTip(_translate("PluginManagerPage", "Select to check for updates whenever eric is started"))
        self.alwaysCheckRadioButton.setText(_translate("PluginManagerPage", "Always"))
        self.dailyCheckRadioButton.setToolTip(_translate("PluginManagerPage", "Select to check for updates once a day"))
        self.dailyCheckRadioButton.setText(_translate("PluginManagerPage", "Daily"))
        self.weeklyCheckRadioButton.setToolTip(_translate("PluginManagerPage", "Select to check for updates once a week"))
        self.weeklyCheckRadioButton.setText(_translate("PluginManagerPage", "Weekly"))
        self.monthlyCheckRadioButton.setToolTip(_translate("PluginManagerPage", "Select to check for updates once a month"))
        self.monthlyCheckRadioButton.setText(_translate("PluginManagerPage", "Monthly"))
        self.downloadedOnlyCheckBox.setToolTip(_translate("PluginManagerPage", "Select to check only already installed plugins for updates"))
        self.downloadedOnlyCheckBox.setText(_translate("PluginManagerPage", "Check only installed plugins for updates"))
        self.label_4.setText(_translate("PluginManagerPage", "Repository URL:"))
        self.repositoryUrlEdit.setToolTip(_translate("PluginManagerPage", "Shows the repository URL"))
        self.repositoryUrlEditButton.setToolTip(_translate("PluginManagerPage", "Press to edit the plugin repository URL"))
        self.repositoryUrlEditButton.setText(_translate("PluginManagerPage", "Edit URL"))
        self.groupBox_3.setTitle(_translate("PluginManagerPage", "Startup Behavior"))
        self.autoInstallCheckBox.setToolTip(_translate("PluginManagerPage", "Select, to check for missing plugin dependencies at startup and install them"))
        self.autoInstallCheckBox.setText(_translate("PluginManagerPage", "Automatic dependencies installation"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
